# Шаблон C CLI - для $project_name

Это минимальный шаблон для создания консольного приложения на языке C. Подходит для быстрого старта разработки CLI-приложений.

## Установка

1. Убедитесь, что у вас установлен компилятор `gcc`. Для установки:
   - На Ubuntu/Debian: `sudo apt install build-essential`
   - На macOS: `xcode-select --install`
   - На Windows: Установите MinGW или используйте WSL.

2. Клонируйте репозиторий или распакуйте шаблон.

## Сборка и запуск

1. Соберите проект с помощью `make`:
   ```bash
   make
   ```

2. Запустите приложение:
   ```bash
   ./app [ВашеИмя]
   ```

   Пример:
   ```bash
   ./app Alice
   ```
   Вывод: `Hello, Alice!`

3. Для очистки скомпилированных файлов:
   ```bash
   make clean
   ```

## Структура и назначение файлов

- **`main.c`**:
  - Основной файл программы.
  - Содержит функцию `main`, которая обрабатывает аргументы командной строки.
  - В текущем виде принимает необязательный аргумент (имя) и выводит приветствие.

- **`Makefile`**:
  - Автоматизирует процесс компиляции.
  - Содержит команды для сборки (`make`) и очистки (`make clean`).
  - Использует `gcc` с флагами `-Wall` (для предупреждений) и `-g` (для отладки).

- **`.gitignore`**:
  - Игнорирует скомпилированные файлы (например, `app`, `*.o`) и временные файлы.

## Настройка

- **Добавление функциональности**: Модифицируйте `main.c`, чтобы добавить новую логику или обработку аргументов.
- **Расширение проекта**: Создайте дополнительные `.c` и `.h` файлы для модульности и укажите их в `Makefile`.
- **Компиляция с другими флагами**: Измените `CFLAGS` в `Makefile` для оптимизации или других настроек.

## Зависимости

- Требуется только компилятор `gcc` (или совместимый, например, `clang`).
- Никаких внешних библиотек для базового шаблона не нужно.


---
made by [**Floom**](https://github.com/Floom1)